Name:		jips
Version:	3.0
Release:	%mkrel 1
License:	Freeware
Group:		Emulators
URL:		http://zerosoft.zophar.net
Source0:	%{name}.jar
Source1:	%{name}.png
Summary:	 Jips is an universal IPS patcher.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description

Universal IPS patcher.
To patch a ROM file:
Click the "Patch!" button and wait some seconds, till the 
program gives out an error or says that the patching is complete. 

%prep



%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp %SOURCE0 %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Jips
GenericName=Universal IPS patcher
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files

%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon Apr 02 2018 adrianomorselli <adrianomorselli> 3.0-1uplos2018
- Created the package jips-3.0-1pclos2017.noarch.rpm, with latest source
- thanks to Agent Smith

